Bug 1576251 (CVE-2018-5151) - CVE-2018-5151 Mozilla: Memory safety bugs fixed in Firefox 60
Summary: CVE-2018-5151 Mozilla: Memory safety bugs fixed in Firefox 60
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5151
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:11 UTC by Doran Moppert
Modified: 2021-02-26 02:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:21:45 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:11:56 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 59. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5151

Comment 1 Doran Moppert 2018-05-09 07:12:01 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Christoph Diehl, Christian Holler, Jon Coppeard, Jason Kratzer, Nathan Froyd, Paul Theriault, Ryan VanderMeulen, Tyson Smith, Sebastian Hengst, Byron Campen, Emilio Cobos Álvarez, Ronald Crane, Phillipp


Note You need to log in before you can comment on or make changes to this bug.